unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, ExtCtrls, StdCtrls, ssTreeView;

type
  TForm2 = class(TForm)
    Panel1: TPanel;
    ListView1: TListView;
    StatusBar1: TStatusBar;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

procedure ExecuteSections(node: TssTreeNode);

implementation

{$R *.DFM}

procedure ExecuteSections(node: TssTreeNode);
var
  j: integer;
  R: TRect;
begin
  with TForm2.Create(Application) do begin
    Label2.Caption := node.Text;
    with TssTreeView(node.TreeView).Header.Sections do
      for j := 0 to Count-1 do begin
        R := node.GetSectionRect(j);
        with ListView1.Items.Add do begin
          Caption := IntToStr(j);
          with SubItems do begin
            Add(IntToStr(R.Left));
            Add(IntToStr(R.Top));
            Add(IntToStr(R.Right));
            Add(IntToStr(R.Bottom));
            if (j = 0) then Add(node.Text)
            else
              if (j <= node.SubItems.Count) then Add(node.SubItems.Strings[j-1]);
          end;
        end;
      end;
    Show;
  end;
end;

procedure TForm2.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

end.
